CountingErrorHandler (Jing API)
Description: declaration: package: com.thaiopensource.xml.sax, class: CountingErrorHandler

# Class CountingErrorHandler

java.lang.Object
com.thaiopensource.xml.sax.CountingErrorHandler

All Implemented Interfaces:
  `ErrorHandler`

public class CountingErrorHandler extends Object implements ErrorHandler

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CountingErrorHandler()`
  `CountingErrorHandler(ErrorHandler errorHandler)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `error(SAXParseException exception)`
  `void`
  `fatalError(SAXParseException exception)`
  `int`
  `getErrorCount()`
  `ErrorHandler`
  `getErrorHandler()`
  `int`
  `getFatalErrorCount()`
  `boolean`
  `getHadErrorOrFatalError()`
  `int`
  `getWarningCount()`
  `void`
  `reset()`
  `void`
  `setErrorHandler(ErrorHandler errorHandler)`
  `void`
  `warning(SAXParseException exception)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CountingErrorHandler

    public CountingErrorHandler()

  - ### CountingErrorHandler

    public CountingErrorHandler(ErrorHandler errorHandler)

- ## Method Details

  - ### reset

    public void reset()

  - ### getHadErrorOrFatalError

    public boolean getHadErrorOrFatalError()

  - ### getFatalErrorCount

    public int getFatalErrorCount()

  - ### getErrorCount

    public int getErrorCount()

  - ### getWarningCount

    public int getWarningCount()

  - ### getErrorHandler

    public ErrorHandler getErrorHandler()

  - ### setErrorHandler

    public void setErrorHandler(ErrorHandler errorHandler)

  - ### warning

    public void warning(SAXParseException exception) throws SAXException
    Specified by:
      `warning` in interface `ErrorHandler`
    Throws:
      `SAXException`

  - ### error

    public void error(SAXParseException exception) throws SAXException
    Specified by:
      `error` in interface `ErrorHandler`
    Throws:
      `SAXException`

  - ### fatalError

    public void fatalError(SAXParseException exception) throws SAXException
    Specified by:
      `fatalError` in interface `ErrorHandler`
    Throws:
      `SAXException`